RELEASE: Magic C++ 4.0 build 061217
RELEASE:Magic C++
BUG 修复
1 无法向内存窗口的编辑控件中拷贝内存值
2 在内存窗口中按下回车后，没有刷新内存值
3 使用project->new class 功能添加新类时，改变文件路径报错

RELEASE: Magic C++ 4.0 build 061116
新增功能                  
CTRL+U 当前选择集大写     
SHIFT+CTRL+U 当前选择集小写
DOS与UNIX格式的转换       
                          
                          
                          
RELEASE: Magic C++ 4.0 build 061022
BUG修复                   
1 SFTP 保存时异常退出     
2 当程序中使用STL时，无法使用自动提示功能
3 当正在分析包含文件时，关闭工作区异常退出
4 FREEBSD 平台下后台小工具getfileinfo 的小问题
5 server 向导中名称带空格时,程序会异常退出
6 即使在工程设定中加入了包含文件路径，但是自动提示无法工作
7 文件格式判断错误        

RELEASE: Magic C++ 4.0 build 060902
BUG修复
1 当用户输入以下编译后脚本时，无法重新打开工程：
ftp -i -n localhost<<!
user ken 123
put test.sh
quit
!


RELEASE: Magic C++ 4.0 build 060831
BUG修复
修复目录中有空格时的问题
新增功能
增加了对以C,CC为后缀的C程序文件的支持

RELEASE: Magic C++ 4.0 build 060824
新增功能
增加是否输出日志设置

BUG修复
当使用空格代替TAB 输出时，排版有错误
修复一些BUG


RELEASE: Magic C++ 4.0 build 060813
* 全新的线程模型,工程打开时,用单独线程做语法解析,不再占用主线程时间
* 包含文件的分析,只要使用#include 预编译宏包含进来的文件,都将进行语法分析
* 自动建议功能,用户输入时,不仅仅是. 或-> 出现提示,只要输入任意字符,都会出现自动建议列表,
将可能的类型,变量,类名称列举出来.

RELEASE: Magic C++ 4.0 build 060518
新增功能：
*支持基于文件的配置选项
支持基于工程的预编译，后编译脚本
支持基于工程的运行前脚本
*从这一版本开始，Magic C++ 包括两个产品: 高级企业版本和企业版本

RELEASE: Magic C++ 3.5 build 060119
新增功能
windows 菜单下显示的文件按照打开的先后顺序排列
内存窗口支持64位


RELEASE: Magic C++ 3.5 beta build 051223
新增功能
1 在文件视图中，当文件名的长度超过工作区窗口时，将用tooltip 窗口，提示文件名
2 增强了C++源文件与头文件切换功能
3 支持拆分多个编辑窗口
4 改进了自动缩进功能
5 ×增加标准telnet 协议的支持，使用telnet 与ssh 做为通信协议时，无需安装后台服务程序
6 支持无需启动新的终端窗口而直接调试

BUG修复
1 使用实际工程测试，修复了大量细节问题，使用更加顺手


RELEASE: Magic C++ 3.5 beta build 051008
1 *SSH SFTP 全面支持，
2 *使用ssh 时，无需安装后台服务进程
3 增加智能缩进类型－缺省缩进
4 文件查找，文件替换时，缺省选择工程主目录
5 允许在编辑器中使用ctrl+L热键剪切一行，使用ctrl+shift+L删除一行，使用ctrl+o 复制一行


BUG 修复
1 屏蔽了在proc 中冒号的自动缩进，避免了x=:y 这种情况发生的不恰当的缩进
2 加大cvs commit 对话框长度，避免了文件名过长时发生的看不到文件全名的现象

RELEASE: Magic C++ 3.0 build 050812
BUG 修复
1 智能缩进的对齐问题

新增特性
1 *支持语法高亮，代码折叠，自动缩进的自定义文件配置，缺省带有xml , fortran , java , makefile , shell , c/c++ 5种配置文件，用户可以自行增加新的文件类型
2 *编辑器代码折叠


--------------------------------------------------------------------------------------
RELEASE: Magic C++ 3.0 build 050731
BUG修复
1 保存失败后标题栏中表示文件已经更改的星号消失，重新保存无效
2 编辑器打开文件时对于远程文件大小写不敏感，例如打开Makefile 后，再打开makefile 无效
3 拼写错误修改
4 编译时将make: Nothing to be done for 'all'.误判为需要重新编译

新增特性
1 支持IBM DB2 应用程序调试与开发

--------------------------------------------------------------------------------------
RELEASE: Magic C++ 3.0 build 050719
BUG修复：
1 使用向导生成工程时，在小结对话框中工程类型错误(不影响使用)
2 ncurse 库界面调试异常退出

新增特性:
1 低内存消耗
2 改良的行号显示方法

--------------------------------------------------------------------------------------
RELEASE: Magic C++ 3.0 build 050627
BUG修复
1 Add to CVS Repository 不可用
2 Mingw与Cygwin调试时的一些异常问题
3 调试时，将一个指针变量拖放到内存窗口时，显示的是指向该指针变量的指针地址

新增特性
1 对于任意后缀的文件，允许用户通过View->View as 选择高亮显示模式
2 文本格式文件编辑时，允许使用右键弹出快捷菜单
3 本地开发环境路径设置中，保存历史设置，允许用户通过下拉框列表进行选择

--------------------------------------------------------------------------------------
RELEASE: Magic C++ 3.0 build 050622
新增特性:
1 工程文件路径问题，只要源文件位于工作区路径之内，即使用相对路径进行存取
2 允许用户修改最近打开文件及工作区列表数目
3 当一个工作区中的某工程打开失败时，在工作区列表中用灰色图标表示该工程，并允许用户删除。
4 后台服务器自动匹配绝大部分平台，无需手工修改HAVE_OPENPTY,SHORT_IAC,HAVE_SHADOW_H宏定义
5 MinGW 与Cygwin 平台无需设置PATH环境变量，直接使用

BUG 修复
1 完全支持Redhat Fedora 4以及Redhat Advance Server 4平台
2 工程及源文件名中带有'-'时无法修改工程设置
3 gdbserver 远程调试报告 "Start debugger failed!"

--------------------------------------------------------------------------------------
RELEASE: Magic C++ 3.0 beta build 050606
新增特性:
1 FTP设置中添加passive 被动模式
2 cvs check out 对话框中允许直接输入工程名称

BUG修复:
1 CVS check out 时无法使用绝对路径，必须使用cd 命令转换当前路径后再check out
2 修正本地工程到远程工程路径转换的问题

--------------------------------------------------------------------------------------
RELEASE: Magic C++ 3.0 beta build 050531
新增特性
1 *本地开发环境Cygwin 的支持
2 *本地开发环境MinGW的支持，并且自带MinGW开发环境
3 *工作区文件与工程文件在远程保存，解决工程目录无法移动的问题
4 *工作区文件面板中文件可以自由地在文件夹与文件夹，工程与工程之间拖放。
5 *编辑器允许列选定
6 支持以".ch" , ".chf" , ".chs"作为后缀的C++ 解释语言文件的语法高亮

--------------------------------------------------------------------------------------
RELEASE: Magic C++ 2.5 build 050405
BUG修复:
1 cxx 类型文件无法使用高亮提示
2 FTP 输出存在乱码时，FTP浏览对话框无法正常显示文件
3 FTP 浏览对话框过滤'*'符号不正常

新增特性:
3 GDB Server远程调试支持

--------------------------------------------------------------------------------------
RELEASE: Magic C++ 2.5 build 050329
BUG修复
1 以下的测试代码无法给出自动提示信息
struct s1 s;

2 HP TRU64 UNIX支持

3 线程切换支持

--------------------------------------------------------------------------------------
RELEASE: Magic C++ 2.5 build 050316
BUG修复
日文WINDOWS 2000的支持

--------------------------------------------------------------------------------------
版本： Magic C++ 2.5 build  050304
BUG 修复:
模板的自动提示不出现
后台代码中包含DOS格式信息
后台代码无法使用cc for AIX进行编译

新增功能
预编译宏的颜色自定义

--------------------------------------------------------------------------------------
版本： Magic C++ 2.5 build  050130

BUG 修复:
在启动调试时有时会意外清除程序输出的第一行信息
当源程序使用*/结束时，会导致CPU占用率100％
程序启动时出现的欢迎对话框中，最近工程列表没有水平滚动条

新增功能：
*内存查看/修改窗口
支持c/c++与fortran混和编程的调试
ftp文件选择对话框支持用户手工输入的通配符
变量值监视/修改窗口支持不同进制的转换
支持fortran的html格式的man帮助
查看HTML Man 手册页时允许设置Man 手册页的路径。 

--------------------------------------------------------------------------------------

版本: Magic C++ 2.5 build 041115下
BUG 修复:
修复了FTP 浏览的BUG
新增功能：
增加跳转CALL STACK 功能。

  
--------------------------------------------------------------------------------------

版本：Magic C++ 2.5 build build041109
BUG修复：
1 Sun solaris 9 版本不支持"hostname -f "命令，这导致服务器主机名被修改为"-f"
2 Sun solaris 9 版本不支持"man [section] [keyword]"命令，这导致无法查询特定章节的man 帮助
3 文件比较功能无法使用

新增特性
1 支持脚本编译后台程序
2 FTP浏览对话框支持过滤隐含文件
3 Mandrake Linux 支持。


--------------------------------------------------------------------------------------

版本：Magic C++ 2.5 build 041018
1  在共有100行的时候删掉一行，然后按下ctrl + z ,取消删除操作，就会出现页边距不齐的问题
2  键入一个关键字（如static ）,再键入两个冒号，会出现异常退出的问题。
3  中文帮助
4  浏览工具条无法保存位置

--------------------------------------------------------------------------------------


版本：Magic C++ 2.5 build 041012

新增功能：
1  向导：增加了简单的Pro*C与EsqlC 的范例向导
2  支持直接调试PRO*C ， ESQLC嵌入式SQL
3  修改了makefile 模板，加入了PRO*C ， ESQLC相关语句
4  修改后台代码comp_conv.c，增加Pro*C错误输出分析
BUG修复
1 增加文件到工程时（add to project），输入了*.ec，因为MC文件选择对话框不支持通配符，所以会尝试打开文件*.ec,这个操作会失败，但是失败后仍然会在文件树中增加一个名为*.ec的节点。
2 Makefile 中，错误地将用户自行在工程配置中设置的.o静态库放在OBJS变量中，以免被删除。
3 修复少绘制一个断点的BUG，在重绘断点时，少绘制了一个断点
4 编辑器显示的列数由0开始改为列数由1开始
5 全字匹配不识别下划线 _ 如全字匹配back 错误地命中了push_back
6 设置断点或书签后save all ,删除所有断点或书签后再次save all 程序异常退出的问题。 

--------------------------------------------------------------------------------------

版本：Magic C++ 2.5 build 040920
1 修改了反色选中编辑器中的函数后，F1不能显示MAN 帮助
2 远程CVS中，用户可以自行修改连接字符串
3 修正了编译工具条中的第二个按钮，显示为编译，其实是清除编译的BUG


--------------------------------------------------------------------------------------
版本：Magic C++ 2.5 beta2 build 040901
BUG 修复：
1 支持TAB页形式的视图
2 修复了enum bool bool a; 这种类型定义分析死机的BUG
3 H文件与CPP文件的跳转功能
http://www.magicunix.com/download/MagicCpp_V2.5_Release_build040920.zip

新增特性：
（1）支持IBM AIX平台（GNU GCC环境、IBM Visual Age C/C++环境均支持）
（2）HTML网页方式的man在线帮助 
（3）Call Stack函数调用栈查看 
（4）多个工程的依赖关系 
（5）批量编译
（6）signal信号处理


